Subject: Re: device tree / how to build/compile & use with u-boot to boot uImage?

From: Jerry Van Baren <[email-masked]>
Date: Fri, 09 Feb 2007 17:25:51 -0500

Morrison, Tom wrote:
> All,
> 
> Sorry for my ignorance here, but we have upgraded our kernel from
> 2.6.11.xx to 2.6.20-rcx (using a specific git-branch for the mpc85xx) 
> to run on the MPC8548CDS eval board (using default options provided 
> by this branch for this eval board). I successfully compiled/loaded the 
> uImage, but it hangs after decompression (with root=/dev/nfs)
> 
> Also, I was told to upgrade our u-boot source code (with another git 
> branch for to the mpc85xx) and successfully get to the u-boot prompt.
> 
> From googling through the lists - it seems that I need to build a 
> device tree blob and pass that device tree to the kernel in some
> fashion? 
> 
> I tried to compile the default dts image (using the dtc compiler 
> installed by LTIB), but it is complaining about no '/chosen' in 
> the definition:
> 
>   <path>/dtc -I dts -O dtb - -o mpc8548cds.dtb -V 16 dts/mpc8548cds.dts

Trivia: the no "/chosen" warning can be ignored.  The u-boot command 
"bootm" generates the "/chosen" branch when you run the command and it 
boots linux.

Note: You want version 16 (or better?) for the fdt blob.  I believe the 
dtc defaults to this now, but it wasn't always that way.

[snip - others have chimed in]

> Tom Morrison
> Principal Software Engineer

gvb